# RPM specfile for gnome-vfs2-extras module
# Generated Wed Nov 19 19:53:27 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.16.2.2 2003/11/13 06:46:43 mibarra Exp $

%define nam	gnome-vfs2-extras
%define ver	0.99.11
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	gnome-vfs2-extras
Version: 	0.99.11
Release:	1.ximian.6.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	gnome-vfs-extras-0.99.11.tar.bz2
Patch0:		gnome-vfs2-extras-de.po.patch
Summary:	Extra Modules for the GNOME Virtual File System Library
Group:		System/Libraries
Provides:	ximian-gnome-vfs2-extras = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	gnome-vfs2

%description
This package contains the SMB share browsing module for
gnome-vfs2. Install it if you want to browse Samba or
Windows shares under the GNOME 2 desktop.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/lib/gnome-vfs-2.0/modules/*
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/share/gnome/network/*
%config(noreplace) /etc/gnome-vfs-2.0/modules/*.conf


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-vfs-extras-0.99.11
    ;;
all)
%setup  -q -n gnome-vfs-extras-0.99.11
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 0.99.11-1.ximian.6.2
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 0.99.10-1.ximian.3
- Summary: New build.
- New automated build.

* Mon Aug 19 2002 Ximian, Inc.

- Version: 0.99.3-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Jul 30 2002 Ximian, Inc.

- Version: 0.99.1-1.ximian.1
- Summary: New build.
- New automated build.

